## Assertion Utilities for GList Assertion Utilities for GList — Utilities to write assertions related to GList more easily. |

## Functions

gboolean | gcut_list_equal ()
gchar * | gcut_list_inspect ()
gboolean | gcut_list_equal_int ()
gchar * | gcut_list_inspect_int ()
gboolean | gcut_list_equal_uint ()
gchar * | gcut_list_inspect_uint ()
gboolean | gcut_list_equal_string ()
gchar * | gcut_list_inspect_string ()
gchar * | gcut_list_inspect_object ()
gchar * | gcut_list_inspect_enum ()
gchar * | gcut_list_inspect_flags ()
#define | gcut_list_int_equal()
#define | gcut_list_int_inspect()
#define | gcut_list_uint_equal()
#define | gcut_list_uint_inspect()
#define | gcut_list_string_equal()
#define | gcut_list_string_inspect()
#define | gcut_list_object_inspect()
#define | gcut_list_enum_inspect()
#define | gcut_list_flags_inspect()

## Description

To write assertions, you need to check equality and show expected and actual values.

The utilities help you to write assertions that are related to GList.

## Functions

### gcut_list_equal ()

    gboolean
    gcut_list_equal (const GList *list1,
                     const GList *list2,
                     GEqualFunc equal_func);

Compares two GList, `list1` and `list2` . `equal_func` is called for each corresponding values of `list1` and `list2` .

e.g.:

    1
    TODO

#### Parameters

list1 | a GList to be compared. |
list2 | a GList to be compared. |
equal_func | a function that compares two values. |

#### Returns

TRUE if all corresponding values of `list1` and `list2` are reported TRUE by `equal_func` , FALSE otherwise.

Since: 1.0.5

### gcut_list_inspect ()

    gchar *
    gcut_list_inspect (const GList *list,
                       GCutInspectFunction inspect_func,
                       gpointer user_data);

Inspects `list` . Each value of `list` is inspected by `inspect_func` . The returned string should be freed when no longer needed.

e.g.:

    1
    TODO

#### Parameters

list | a GList to be inspected. |
inspect_func | a function that inspects each value. |
user_data | user data to pass to the function. |

#### Returns

inspected `list` as a string.

Since: 1.0.5

### gcut_list_equal_int ()

    gboolean
    gcut_list_equal_int (const GList *list1,
                         const GList *list2);

Compares two GList, `list1` and `list2` . `list1` and `list2` should be GList of gint.

#### Parameters

list1 | a GList of gint to be compared. |
list2 | a GList of gint to be compared. |

#### Returns

TRUE if all corresponding integers of `list1` and `list2` are same value, FALSE otherwise.

Since: 1.0.6

### gcut_list_inspect_int ()

    gchar *
    gcut_list_inspect_int (const GList *list);

Inspects `list` . `list` should be GList of gint. The returned string should be freed when no longer needed.

#### Parameters

list | a GList of gint to be inspected. |

#### Returns

inspected `list` as a string.

Since: 1.0.6

### gcut_list_equal_uint ()

    gboolean
    gcut_list_equal_uint (const GList *list1,
                          const GList *list2);

Compares two GList, `list1` and `list2` . `list1` and `list2` should be GList of guint.

#### Parameters

list1 | a GList of guint to be compared. |
list2 | a GList of guint to be compared. |

#### Returns

TRUE if all corresponding unsigned integers of `list1` and `list2` are same value, FALSE otherwise.

Since: 1.0.6

### gcut_list_inspect_uint ()

    gchar *
    gcut_list_inspect_uint (const GList *list);

Inspects `list` . `list` should be GList of guint. The returned string should be freed when no longer needed.

#### Parameters

list | a GList of guint to be inspected. |

#### Returns

inspected `list` as a string.

Since: 1.0.6

### gcut_list_equal_string ()

    gboolean
    gcut_list_equal_string (const GList *list1,
                            const GList *list2);

Compares two GList, `list1` and `list2` . `list1` and `list2` should be GList of string.

#### Parameters

list1 | a GList of string to be compared. |
list2 | a GList of string to be compared. |

#### Returns

TRUE if all corresponding string of `list1` and `list2` are same content string, FALSE otherwise.

Since: 1.0.6

### gcut_list_inspect_string ()

    gchar *
    gcut_list_inspect_string (const GList *list);

Inspects `list` . `list` should be GList of string. The returned string should be freed when no longer needed.

#### Parameters

list | a GList of string to be inspected. |

#### Returns

inspected `list` as a string.

Since: 1.0.6

### gcut_list_inspect_object ()

    gchar *
    gcut_list_inspect_object (const GList *list);

Inspects `list` . `list` should be GList of GObject. The returned string should be freed when no longer needed.

#### Parameters

list | a GList of GObject to be inspected. |

#### Returns

inspected `list` as a string.

Since: 1.0.6

### gcut_list_inspect_enum ()

    gchar *
    gcut_list_inspect_enum (GType type,
                            const GList *list);

Inspects `list` . `list` should be GList of enum value of GEnum. The returned string should be freed when no longer needed.

#### Parameters

type | a GEnum type. |
list | a GList of enum value to be inspected. |

#### Returns

inspected `list` as a string.

Since: 1.0.6

### gcut_list_inspect_flags ()

    gchar *
    gcut_list_inspect_flags (GType type,
                             const GList *list);

Inspects `list` . `list` should be GList of flags value of GFlags. The returned string should be freed when no longer needed.

#### Parameters

type | a GFlags type. |
list | a GList of flags value to be inspected. |

#### Returns

inspected `list` as a string.

Since: 1.0.6

### gcut_list_int_equal()

    #define             gcut_list_int_equal(list1, list2)

`gcut_list_int_equal` has been deprecated since version 1.0.6 and should not be used in newly-written code.

Use `gcut_list_equal_int()` instead.

Compares two GList, `list1` and `list2` . `list1` and `list2` should be GList of gint.

#### Parameters

list1 | a GList of gint to be compared. |
list2 | a GList of gint to be compared. |

#### Returns

TRUE if all corresponding integers of `list1` and `list2` are same value, FALSE otherwise.

Since: 1.0.5

### gcut_list_int_inspect()

    #define             gcut_list_int_inspect(list)

`gcut_list_int_inspect` has been deprecated since version 1.0.6 and should not be used in newly-written code.

Use `gcut_list_inspect_int()` instead.

Inspects `list` . `list` should be GList of gint. The returned string should be freed when no longer needed.

#### Parameters

list | a GList of gint to be inspected. |

#### Returns

inspected `list` as a string.

Since: 1.0.5

### gcut_list_uint_equal()

    #define             gcut_list_uint_equal(list1, list2)

`gcut_list_uint_equal` has been deprecated since version 1.0.6 and should not be used in newly-written code.

Use `gcut_list_equal_uint()` instead.

Compares two GList, `list1` and `list2` . `list1` and `list2` should be GList of guint.

#### Parameters

list1 | a GList of guint to be compared. |
list2 | a GList of guint to be compared. |

#### Returns

TRUE if all corresponding unsigned integers of `list1` and `list2` are same value, FALSE otherwise.

Since: 1.0.5

### gcut_list_uint_inspect()

    #define             gcut_list_uint_inspect(list)

`gcut_list_uint_inspect` has been deprecated since version 1.0.6 and should not be used in newly-written code.

Use `gcut_list_inspect_uint()` instead.

Inspects `list` . `list` should be GList of guint. The returned string should be freed when no longer needed.

#### Parameters

list | a GList of guint to be inspected. |

#### Returns

inspected `list` as a string.

Since: 1.0.5

### gcut_list_string_equal()

    #define             gcut_list_string_equal(list1, list2)

`gcut_list_string_equal` has been deprecated since version 1.0.6 and should not be used in newly-written code.

Use `gcut_list_equal_string()` instead.

Compares two GList, `list1` and `list2` . `list1` and `list2` should be GList of string.

#### Parameters

list1 | a GList of string to be compared. |
list2 | a GList of string to be compared. |

#### Returns

TRUE if all corresponding string of `list1` and `list2` are same content string, FALSE otherwise.

Since: 1.0.5

### gcut_list_string_inspect()

    #define             gcut_list_string_inspect(list)

`gcut_list_string_inspect` has been deprecated since version 1.0.6 and should not be used in newly-written code.

Use `gcut_list_inspect_string()` instead.

Inspects `list` . `list` should be GList of string. The returned string should be freed when no longer needed.

#### Parameters

list | a GList of string to be inspected. |

#### Returns

inspected `list` as a string.

Since: 1.0.5

### gcut_list_object_inspect()

    #define             gcut_list_object_inspect(list)

`gcut_list_object_inspect` has been deprecated since version 1.0.6 and should not be used in newly-written code.

Use `gcut_list_inspect_object()` instead.

Inspects `list` . `list` should be GList of GObject. The returned string should be freed when no longer needed.

#### Parameters

list | a GList of GObject to be inspected. |

#### Returns

inspected `list` as a string.

Since: 1.0.5

### gcut_list_enum_inspect()

    #define             gcut_list_enum_inspect(list, type)

`gcut_list_enum_inspect` has been deprecated since version 1.0.6 and should not be used in newly-written code.

Use `gcut_list_inspect_enum()` instead.

Inspects `list` . `list` should be GList of enum value of GEnum. The returned string should be freed when no longer needed.

#### Parameters

list | a GList of enum value to be inspected. |
type | a GEnum type. |

#### Returns

inspected `list` as a string.

Since: 1.0.5

### gcut_list_flags_inspect()

    #define             gcut_list_flags_inspect(list, type)

`gcut_list_flags_inspect` has been deprecated since version 1.0.6 and should not be used in newly-written code.

Use `gcut_list_inspect_flags()` instead.

Inspects `list` . `list` should be GList of flags value of GFlags. The returned string should be freed when no longer needed.

#### Parameters

list | a GList of flags value to be inspected. |
type | a GFlags type. |

#### Returns

inspected `list` as a string.

Since: 1.0.5

## Types and Values